# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KBindingPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] Type=MimeType. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KBindingPropsPlugin:

[legend]
Collaboration diagram for KBindingPropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KBindingPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.

## Static Public Member Functions

bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=MimeType.

Definition at line 650 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KBindingPropsPlugin::KBindingPropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 2299 of file kpropertiesdialog.cpp.

References KDialogBase::addPage(), QBoxLayout::addStretch(), QBoxLayout::addWidget(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), KPropertiesDialog::dialog(), QString::fromLatin1(), KConfigBase::hasKey(), QString::isEmpty(), QFile::open(), KPropsDlgPlugin::properties, KConfigBase::readBoolEntry(), KConfigBase::readEntry(), QCheckBox::setChecked(), KConfigBase::setDesktopGroup(), QLineEdit::setMaxLength(), QCheckBox::setNoChange(), QLineEdit::setText(), QLabel::setText(), QCheckBox::setTristate(), QLineEdit::sizeHint(), and KDialog::spacingHint().

## Member Function Documentation

void KBindingPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 2408 of file kpropertiesdialog.cpp.

References QFile::close(), KConfigBase::deleteEntry(), QString::fromLatin1(), QCheckBox::isChecked(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QCheckBox::state(), KSimpleConfig::sync(), QLineEdit::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001